# A 3D Renderer for Omeka S

[3D Renderer] is a module for [Omeka S] that integrates [Vue-3d-model].
Built using Vue, based on threejs.


## Install

This module requires the [Omeka-S-module-ArchiveRepertory] to be installed.

```
cd ./modules
https://git.hangar.org/arcHIVE-tech/3D-Renderer/archive/main.zip
unzip main.zip
mv 3d-renderer-omeka-module/ Render3D
rm main.zip
```

### Omeka global settings

Add these to the `Allowed media types`

```
application/json
```

Add these to the `Allowed file extensions`

```
gltf, glb
```

### Usage

* Create an item and upload a GLTF or GLB 3D image file.
* Include and other assosiated files (if any) in the same item.

### Background image
An equirectangular image can be set as the background image.
To activate this feature, add a file to the item called `sky-box-image` (png o jpg)

## LISENCE
The module is released under the [MIT] License.

The 3D render feature is imported from [Vue-3d-model].


[arc-hive]: https://arc-hive.zone/
[3D Renderer]: https://git.hangar.org/arcHIVE-tech/Render3D
[Vue-3d-model]: https://github.com/hujiulong/vue-3d-model
[Omeka S]: https://omeka.org/s
[Omeka-S-module-ArchiveRepertory]: https://gitlab.com/Daniel-KM/Omeka-S-module-ArchiveRepertory
[MIT]: http://opensource.org/licenses/MIT
